import javax.swing.*;
import javax.swing.event.*;

public class Controller extends JFrame{
	
	public Controller(){
		slider = new JSlider(JSlider.HORIZONTAL, 0, 100, 20);
	    slider.setPaintTicks(true);

		getContentPane().add(slider);
		setSize(300,300);
		setVisible(true);
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setTitle("Controller");
		
		ChangeListener listener = new SliderListener();
		slider.addChangeListener(listener);
	}
	
	class SliderListener implements ChangeListener {
	public void stateChanged(ChangeEvent e) {
		if(slider.getValue() >= 50)
		  controlledObject.turnOn();
		else
		  controlledObject.turnOff();
	    }
    }
    
    public void setAlarm(ControllerServer theControlledObject)
    {
    	controlledObject = theControlledObject;
    }

	private JSlider slider;
	private ControllerServer controlledObject;
}
